.JSW.OuterBox {
 padding-top : 22px;
 padding-left : 2px;
 padding-right : 2px;
 padding-bottom : 2px;
 min-width : 100px;
 min-height : 50px;
 background-color : #BBB;
}
.JSW.OuterBox.active { background-color : #888; }

.JSW .InnerBox {
 box-sizing : border-box;
 position : relative;
 width : 100%;
 height : 100%;
 border-right : 4px none transparent;
 border-bottom : 24px none transparent; 
 overflow : auto;
 background-color : #FFF
}
.JSW.autoheight .InnerBox {
 height : auto;
 border-bottom : 0px none transparent; 
}
.JSW.autowidth .InnerBox {
 width : auto;
 border-right : 0px none transparent;
}
.JSW.maximized .InnerBox {
 width : 100%;
 height : 100%;
 border-right : 4px none transparent;
 border-bottom : 24px none transparent;
}


.JSW.FrameCover {
 position : absolute;
 top : 22px;
 left : 2px;
 right : 2px;
 bottom : 2px;
 background-color : transparent;
}

.JSW.Disabled {
 position : absolute;
 top : 0px;
 left : 0px;
 right : 0px;
 bottom : 0px;
}

.JSW.Bar {
 position : absolute;
 top : 2px;
 left : 5px;
 right : 5px;
 cursor : default;
 height : 20px;
 white-space : nowrap;
 line-height : 18px;
 color : #FFF;
 font-size : 12px;
 font-family : Arial;
 font-weight : bold;
}

.JSW .JSW.Icon {
 height : 1em;
 width : 1em;
 display : inline;
 margin-right : 4px;
}

.JSW.OuterBox .JSW.Title {
 margin : 0px;
 vertical-align : top;
}

.JSW.Buttons {
 position : absolute;
 top : 0px;
 right : 0px;
}
.JSW.Buttons a {
 cursor : default;
 color : #FFF;
 display : inline-block;
 padding : 0px;
 height : 18px;
 width : 18px;
 margin-top : 1px;
 margin-left : 1px;
 vertical-align : top;
 background-color : #444;
 text-align : center;
 text-decoration : none;
}
  
.JSW.ButtonClose:before { content : 'X'; }
.JSW.ButtonMinimize:before { content : '\2581'; }
.JSW.ButtonMaximize:before { content : '\25AD'; }
.JSW.ButtonExclude:before { content : '\2594'; }

.JSW.Buttons.nonexcludable .ButtonExclude { display : none; }
.JSW.Buttons.nonminimizable .ButtonMinimize { display : none; }
.JSW.Buttons.nonmaximizable .ButtonMaximize { display : none; }
.JSW.Buttons.nonclosable .ButtonClose { display : none; }

.JSW.BarExtension {
 position : absolute;
 top : 22px;
 left : 2px;
 right : 2px;
 overflow : hidden;
 height : 0px;
 background : #1A991A;
 background : var(--low-color);
}
.JSW.active .BarExtension {
 background : #0E9A0E;
 background : var(--active-low-color);
}


.JSW.BorderTop {
 position : absolute;
 top : 0px;
 left : 5px;
 right : 5px;
 cursor : n-resize;
 height : 0px;
 border-top : 2.1px solid #444;
}
.JSW.nonresizable .BorderTop { cursor : default; }

.JSW.BorderBottom {
 position : absolute;
 bottom : 0px;
 left : 5px;
 right : 5px;
 cursor : n-resize;
 height : 0px;
 border-top : 2.1px solid #444;
}
.JSW.nonresizable .BorderBottom { cursor : default; }

.JSW.BorderRight {
 position : absolute;
 top : 22px;
 right : 0px;
 bottom : 5px;
 cursor : e-resize;
 width : 0px;
 border-left : 2.1px solid #444;
}
.JSW.nonresizable .BorderRight { cursor : default; }

.JSW.BorderLeft {
 position : absolute;
 bottom : 5px;
 left : 0px;
 top : 22px;
 cursor : e-resize;
 width : 0px;
 border-right : 2.1px solid #444;
}
.JSW.nonresizable .BorderLeft { cursor : default; }

.JSW.EdgeTopLeft {
 position : absolute;
 top : 0px;
 left : 0px;
 cursor : nw-resize;
 width : 5px;
 height : 22px;
 border-top : 2.1px solid #444;
 border-left : 2.1px solid #444;
}
.JSW.nonresizable .EdgeTopLeft { cursor : default; }

.JSW.EdgeTopRight {
 position : absolute;
 top : 0px;
 right : 0px;
 cursor : ne-resize;
 width : 5px;
 height : 22px;
 border-top : 2.1px solid #444;
 border-right : 2.1px solid #444;
}
.JSW.nonresizable .EdgeTopRight { cursor : default; }

.JSW.EdgeBottomLeft {
 position : absolute;
 bottom : 0px;
 left : 0px;
 cursor : ne-resize;
 width : 5px;
 height : 5px;
 border-bottom : 2.1px solid #444;
 border-left : 2.1px solid #444;
}
.JSW.nonresizable .EdgeBottomLeft { cursor : default; }

.JSW.EdgeBottomRight {
 position : absolute;
 bottom : 0px;
 right : 0px;
 cursor : nw-resize;
 width : 5px;
 height : 5px;
 border-bottom : 2px solid #444;
 border-right : 2px solid #444;
}
.JSW.nonresizable .EdgeBottomRight { cursor : default; }

.JSW.OuterBox.excluded {
 box-sizing : border-box;
}

.JSW.OuterBox.maximized {
 padding-left : 0px;
 padding-right : 0px;
 padding-bottom : 0px;
 position : fixed !important;
}
.JSW.maximized .EdgeTopLeft { display : none; }
.JSW.maximized .EdgeTopRight { display : none; }
.JSW.maximized .EdgeBottomLeft { display : none; }
.JSW.maximized .EdgeBottomRight { display : none; }
.JSW.maximized .BorderTop { cursor : default; left : 0px; right : 0px; }
.JSW.maximized .BorderLeft { display : none; }
.JSW.maximized .BorderRight { display : none; }
.JSW.maximized .BorderBottom { display : none; }
.JSW.maximized .Bar { left : 0px; right : 0px; }
